Skip to content

Get 'CustomerEarningsReport'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/revenue/customerearnings/customerearningsreport/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/revenue/customerearnings/customerearningsreport/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

tenantobject(Tenant)required
org_nostring, (luhn), [ 10 .. 11 ] charactersrequired
gross_valuenumber, (float)required
valuenumber, (float)required
period_startstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_end

period_endstring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: period_start

organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
accountant_company_namestring or null, <= 255 characters
accountant_work_emailstring or null, (email), <= 254 characters
accountant_work_phonestring or null, <= 36 characters'^\+?1?\d{7,15}$'
descriptionstring or null
includes_subletted_spaceboolean
reported_atstring, (date-time)read-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "tenant": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "org_no": "stringstri", "accountant_company_name": "string", "accountant_work_email": "user@example.com", "accountant_work_phone": "string", "description": "string", "includes_subletted_space": true, "gross_value": 0.1, "value": 0.1, "reported_at": "2019-08-24T14:15:22Z", "period_start": "2019-08-24", "period_end": "2019-08-24", "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }